# Luxsci.Model.ContentLibraryMeta

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**MimeType** | **string** | This will always be \&quot;application/directory\&quot; for directories.  For files it is the approproate mime-type for that file. | [optional] 
**Name** | **string** | The end name of the file or directory.  E.g., for directory \&quot;/files/media/\&quot;, this will be \&quot;media\&quot;.  For the top-level directory, the name will be \&quot;root\&quot;.  For \&quot;/files/media/image.jpg\&quot; it will be \&quot;image.jpg\&quot;. | [optional] 
**Path** | **string** | The full path of the object. E.g., \&quot;/files/media/\&quot; for a directory or \&quot;/files/media/image.jpg\&quot; for a file. | [optional] 
**LastModified** | **int** | Time this item was last modified.  This is given in UNIX epoch seconds times 1000 (epoch milliseconds). | [optional] 
**Size** | **int** | For directories, this is always 0.  For files, this is file size in bytes. | [optional] 
**Permissions** | **string** | This will be \&quot;rw\&quot; as the Content Library API does not interact with shared files and directories. | [optional] 
**ItemCount** | **int** | The number of items directly in this directory: files + subdirectories.  This does not include the counts of items in subdirectories. | [optional] 
**Thumbnail** | **string** | For images, this is a public URL to a thumbnail version of this image. | [optional] 
**PublicUrl** | **string** | For files, this is the public URL by which the file can be downloaded. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

