# Luxsci.Model.UpdateUserRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**City** | **string** | City | [optional] 
**Company** | **string** | Company / organization | [optional] 
**Contact** | **string** | Full name. E.g. “John Smith”. Must be a non-empty string. | [optional] 
**Country** | **string** | Country | [optional] 
**Custom1** | **string** | Custom field #1 | [optional] 
**Custom2** | **string** | Custom field #2 | [optional] 
**Custom3** | **string** | Custom field #3 | [optional] 
**Email1** | **string** | Primary email address. Must be a valid email. | [optional] 
**Email2** | **string** | Alternate email address. Must be a valid email. | [optional] 
**Fax** | **string** | FAX number | [optional] 
**Phone1** | **string** | Primary contact phone number | [optional] 
**Phone2** | **string** | Alternate contact phone number | [optional] 
**SecretA** | **string** | Answer to secret security question | [optional] 
**SecretQ** | **string** | Secret security question. If you provide one of the 2 security fields, you must supply both. | [optional] 
**State** | **string** | State/Province | [optional] 
**Street1** | **string** | Street address (line 1) | [optional] 
**Street2** | **string** | Street address (line 2) | [optional] 
**Zip** | **string** | Zip / postal code | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

