# Luxsci.Model.AddMarketingListRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ListName** | **string** | Name of the contact list you&#39;re adding. | 
**OwnerName** | **string** | From name for email sent with this contact list | 
**OwnerEmail** | **string** | From email for email messages sent with this contact list | 
**ReplyEmail** | **string** | The email where you should get replies | 
**BounceEmail** | **string** |  This must be set to: **bounces@bounces.secured-message.com**, unless you have a dedicated bounce processing address configured in your Secure Marketing instance, in which case you would use that specific email address. | 
**GroupName** | **string** | Add this list to a group | [optional] 
**AdditionalField** | **string** | Assign additional fields to this list. The field name “response” is reserved, so don’t use that! Add the custom fields assigned to a contact list. The format is a comma-delimited list of field names. I.e., “income_level,gender”.  These field names must already be defined in the user interface. The format for custom fields is always in all lower case and you should replace spaces with underscore characters. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

